> ## Documentation Index
> Fetch the complete documentation index at: https://docs-int.wingback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Address

> This API updates the customer Address

export const IntRedir = () => {
  if (typeof document === "undefined") {
    return null;
  } else {
    setTimeout(() => {
      const currentUrl = new URL(window.location.href);
      if (currentUrl.hostname === 'docs-int.wingback.com') {
        currentUrl.hostname = 'docs.wingback.com';
        window.location.replace(currentUrl.toString());
      }
    }, 1);
    return <></>;
  }
};

<IntRedir />


## OpenAPI

````yaml POST /v1/c/customer/{customer_id}/address
openapi: 3.0.3
info:
  title: wingback-api
  description: ''
  contact:
    name: ''
  license:
    name: commercial
  version: 0.1.0
servers:
  - url: http://127.0.0.1:8080
    description: Local server
  - url: https://api.app.test.wingback.com
    description: Testing server
security: []
paths:
  /v1/c/customer/{customer_id}/address:
    post:
      tags:
        - customer
      summary: Set Customer's Address
      operationId: upsert_customer_address
      parameters:
        - name: customer_id
          in: path
          description: Id of the Customer
          required: true
          schema:
            type: string
          example: Cust_cc871a3a-2b38-4689-a32d-14bf2e62b1ae
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/core.address.Address'
        required: true
      responses:
        '200':
          description: Customer Address Details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/core.address.Address'
      security:
        - api-key: []
        - wb_user_cookie: []
components:
  schemas:
    core.address.Address:
      type: object
      description: Physical address. Used by both Customer and WbCustomer entities.
      required:
        - line_1
        - zip
        - city
        - country
      properties:
        city:
          type: string
          description: City name
        country:
          $ref: '#/components/schemas/Country'
        line_1:
          type: string
          description: First line of address
        line_2:
          type: string
          description: Second line of the address. Optional
          nullable: true
        state:
          type: string
          description: |-
            State, or another appropriate administrative region
            Empty string value will be treated as NULL
          nullable: true
        zip:
          type: string
          description: Zip or Postal code
    Country:
      type: string
      description: ISO 3166 2-letter Country code
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: wb-key
    wb_user_cookie:
      type: apiKey
      in: cookie
      name: app-session

````